#ifndef _IMGBSP_H
#define _IMGBSP_H


#include "IMGNodeBsp.h"

namespace IMG {

class Bsp {
  public:
    Bsp();

    virtual ~Bsp();

    void SetRoot(NodeBspPtr node);

    void Print();

    void PrintLeaf(); 

    NodeBspPtr Insert(int w, int h, int idcluster);

    NodeBspPtr Get(int i);

  protected:
    NodeBspPtr root;

    int countleaf;

    int counttotal;

    void Print(NodeBspPtr node);

    void PrintLeaf(NodeBspPtr node);

};

}
#endif
